// Prep
import { select, arc } from 'd3';
const svg = d3.select('svg');

// Global 
const height = +svg.attr('height');
const  width = +svg.attr('width');
const g = svg
  .append('g')
    .attr('transform', `translate(${width / 2}, ${height / 2})`);


// Face 
const circle = g
	.append('circle')
    .attr('r', 250)
    .attr('fill', 'yellow')
    .attr('stroke', 'black');

// Eyes
const eyeSpacing = 100;
const eyeOffset = -70;
const eyeSize = 40;
const eyeBrowWidth = 70;
const eyeBrowHeight = 15;
const eyeBrowOffset = -70;

const eyeG = g
	.append('g')
		.attr('transform', `translate(${0}, ${eyeOffset})`);

const leftEye = eyeG
	.append('circle')
    .attr('r', eyeSize)
    .attr('cx', -eyeSpacing);

const rightEye = eyeG
	.append('circle')
    .attr('r', eyeSize)
    .attr('cx', eyeSpacing);

// Eyebrows
function circleTransition() {
  const eyeBrowsG = eyeG
    .append('g')
      .attr('transform', `translate(${0}, ${eyeBrowOffset})`);
  repeat();

  function repeat() {
  eyeBrowsG
    .transition().duration(1000)
      .attr('transform', `translate(${0}, ${eyeBrowOffset - 15})`)
    .transition().duration(2000)
      .attr('transform', `translate(${0}, ${eyeBrowOffset})`)
      .on("end", repeat);

  const leftEyeBrow = eyeBrowsG
    .append('rect')
      .attr('x', -eyeSpacing  - eyeBrowWidth / 2)
      .attr('width', eyeBrowWidth)
      .attr('height', eyeBrowHeight);

  const rightEyeBrow = eyeBrowsG
    .append('rect')
      .attr('x', eyeSpacing  - eyeBrowWidth / 2)
      .attr('width', eyeBrowWidth)
      .attr('height', eyeBrowHeight);
  }
}
circleTransition();
  

// Mouth

const mouth = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 170,
      outerRadius: 180,   
      startAngle: Math.PI / 2,
      endAngle: Math.PI * (3 / 2)
    }))
	.transition().duration(4000)
	.attr('d', arc()({ 
      innerRadius: 0.00000001, 
      outerRadius: 180,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * (3 / 2)
    }));

